require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_remotedesktopadmin',
  dscmeta_resource_friendly_name: 'RemoteDesktopAdmin',
  dscmeta_resource_name: 'DSC_RemoteDesktopAdmin',
  dscmeta_module_name: 'ComputerManagementDsc',
  dscmeta_module_version: '8.3.0',
  docs: 'The DSC RemoteDesktopAdmin resource type.
         Automatically generated from version 8.3.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_userauthentication: {
      type: "Optional[Enum['Secure', 'NonSecure']]",
      desc: 'Setting this value to Secure configures the machine to require Network Level Authentication (NLA) for remote desktop connections.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_issingleinstance: {
      type: "Enum['Yes']",
      desc: "Specifies the resource is a single instance, the value must be 'Yes'",
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_ensure: {
      type: "Optional[Enum['Present', 'Absent']]",
      desc: 'Determines whether or not the computer should accept remote desktop connections.  Present sets the value to Enabled and Absent sets the value to Disabled.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
